Subject: ANNOUNCE: MCC Interim Release
From: [email-masked]
Date: 26 Apr 1993 12:04:28 GMT
Newsgroups: comp.os.linux.announce

MCC interim release of Linux 0.99 at patch level 8 with alpha patches,
including gcc 2.3.3 and shared libraries at 4.3.3, is now available by
anonymous ftp from ftp.mcc.ac.uk [130.88.203.12] in the directory
/pub/linux/mcc-interim/0.99p8+.  It has been only a couple of weeks
from the last release, but there have been a lot of bugs fixed, and
the new release abandons the 'ramdisk as root' approach, which MCC
interim has been using since Linux version 0.12.  This release can
once more be installed on machines with only 2mb of RAM.
 
The MCC interim version of Linux is a small release, which fits on
five 3.5 inch or six 5.25 inch floppies.  It includes all of the
usual GNU utilities, gcc, g++, gdb, bison, flex, tar, gawk, groff,
Rik Faith's utilities collections, fsutils, mount (including NFS
mount), sysvinit, kermit, tcpip programs, as well as full kernel
sources.  Full sources for every binary included in the release are
available in /pub/linux/mcc-interim/0.99p8+/source_files at the same
site, though only kernel source files are installed as part of the
distribution.
 
A new feature in this release is the provision of six alternate
versions of the kernel: two (the two boot disks) are compiled with
all SCSI disk, XT disk, IDE disk, tcpip, and NFS support included;
two (named ipide-*) do not contain SCSI or XT support, but do include
tcpip and NFS support, and two (named ide-*) contain only IDE disk
support.  One kernel of each pair is compiled with the UK keyboard,
and one each with the US keyboard.
 
Another new feature in this release is the ability to install all
packages from a DOS or Minix or Linux partition on the same machine.
You can also install (by whatever means) the tcpip package, then
install all the rest by mounting a a remote disk using NFS.  This
assumes that your system has an ethernet card supported without
patching the 'official' kernel source.
 
I am still re-editing the documentation, but it is available in its
current state.  Many software components of this release have been
upgraded recently, and I have included nearly all of them.  (I have
not included make-3.64, which is too buggy.)  Nearly all reported
bugs from the last release have been fixed, thanks in some part to
Pieter Immelman, and other omissions repaired, thanks in some part to
Patrick Mackinlay.
 
Advantages:  This release is small, coherent, and unified.  It is
even easier to install with the new root/boot disk, since menus guide
you through running fdisk, making swap and file system partitions, and
installing.  It is fairly well documented.  All available man pages are
included.
 
Disadvantages:  This release does not contain X, emacs, lp software,
cron, mailers, newsreaders, or anything else I can't compile and test
in a reasonable time.  But all of the standard releases of these
applications should install and run with no qualms -- I use X and emacs
myself.  The menu-driven install program is harder to document well.
 
All of the files, binary or text, installed by this release will be
available within a day or two individually by anonymous ftp from
ftp.mcc.ac.uk in the directory /pub/linux/binaries (which currently
still contains the files from the last release).
 
     -- Owen
     [email-masked]

-- 
Send submissions for comp.os.linux.announce to: [email-masked]